# © 2024 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FinancialProductSuspensiveCondition(models.AbstractModel):
    _name = "financial.product.suspensive.condition"
    _description = "Financial product suspensive condition"

    condition_id = fields.Many2one(
        comodel_name="financial.suspensive.condition",
        string="Condition suspensive",
        required=True,
        ondelete="cascade",
    )
    product_id = fields.Many2one(
        comodel_name="financial.product.template",
        string="Contrat",
        required=True,
        ondelete="cascade",
    )
    condition_comment = fields.Char("Précision condition")

    # ------------------------------------------------------
    # Constrains functions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD (Override ORM)
    # ------------------------------------------------------
